module SimpleValue
  class Validator < ActiveModel::Validator
    def validate(record)
      options.each do |value_name, attribute_name|
        value_object = record.send value_name
        next if value_object.valid?

        value_object.errors.each do |_, error|
          record.errors.add attribute_name, error
        end
      end
    end
  end
end
